> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryvox.co/llms.txt
> Use this file to discover all available pages before exploring further.

# 채널 비활성화

> 채널의 상담 운영을 끕니다. 연결과 설정은 그대로 두며, `POST /v3/chat-channels/{chat_channel_id}/enable`로 다시 활성화할 수 있습니다.

- 최초 응답 담당, AI 사용 허용 설정은 바꾸지 않습니다.
- 같은 요청을 반복해도 됩니다. 이미 그 상태인 채널은 그대로 두고, 카카오는 카카오 쪽 운영 상태를 다시 맞춥니다.

지원 채널은 카카오, 네이버톡톡, 인스타그램, 라인, 위챗, 채널톡입니다. 다른 채널에서 호출하면 400 `CHAT_CHANNEL_OPERATION_UNSUPPORTED`로 거절합니다.



## OpenAPI

````yaml /api-reference/v3/openapi.json post /chat-channels/{chat_channel_id}/disable
openapi: 3.1.0
info:
  title: vox.ai API
  description: >
    vox.ai API v3


    ### v3 공개 계약 규칙


    - 인증은 `Authorization: Bearer <token>` 헤더를 사용합니다. 워크스페이스 API 키를 Bearer 토큰으로
    전달합니다.

    - 요청과 응답 필드는 기본적으로 `snake_case`를 사용합니다.

    - `agent.data`는 에이전트 레지스트리와 호환되어야 하므로 `callSettings`, `toolIds`,
    `builtInTools`, `presetDynamicVariables` 같은 camelCase 필드를 유지합니다.

    - `_at`으로 끝나는 타임스탬프는 unix milliseconds입니다. 일부 입력값은 호환성을 위해 10~11자리 unix
    seconds도 허용하고 milliseconds로 정규화합니다.

    - 대량 발신 통화 가능 시간은 분 단위 정수(`start_min` / `end_min`)를 사용합니다. 알림 스케줄은 `HH:MM`
    문자열(`start_time` / `end_time`)을 사용합니다.

    - 응답 객체 자신의 식별자는 `id`입니다. 다른 리소스를 참조하는 필드와 path parameter는 `agent_id`,
    `call_id`, `telephone_line_id`처럼 명시적인 이름을 사용합니다.

    - 실패 응답은 `{ "error": { "code", "message", "details" } }` 형태입니다. 가능한 경우
    `details.field`, `details.reason`, `details.allowed_values`를 함께 제공합니다.
  version: 3.0.0
servers:
  - url: https://client-api.tryvox.co/v3
    description: 운영
security: []
paths:
  /chat-channels/{chat_channel_id}/disable:
    post:
      tags:
        - Chat channels
      summary: 채널 비활성화
      description: >-
        채널의 상담 운영을 끕니다. 연결과 설정은 그대로 두며, `POST
        /v3/chat-channels/{chat_channel_id}/enable`로 다시 활성화할 수 있습니다.


        - 최초 응답 담당, AI 사용 허용 설정은 바꾸지 않습니다.

        - 같은 요청을 반복해도 됩니다. 이미 그 상태인 채널은 그대로 두고, 카카오는 카카오 쪽 운영 상태를 다시 맞춥니다.


        지원 채널은 카카오, 네이버톡톡, 인스타그램, 라인, 위챗, 채널톡입니다. 다른 채널에서 호출하면 400
        `CHAT_CHANNEL_OPERATION_UNSUPPORTED`로 거절합니다.
      operationId: disableChatChannel
      parameters:
        - name: chat_channel_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: 채널 ID입니다. `GET /v3/chat-channels` 응답의 `id`를 사용합니다.
            title: Chat Channel Id
          description: 채널 ID입니다. `GET /v3/chat-channels` 응답의 `id`를 사용합니다.
      responses:
        '200':
          description: 성공 응답
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/KakaoChannel'
                  - $ref: '#/components/schemas/NavertalkChannel'
                  - $ref: '#/components/schemas/InstagramChannel'
                  - $ref: '#/components/schemas/LineChannel'
                  - $ref: '#/components/schemas/WechatChannel'
                  - $ref: '#/components/schemas/ChannelTalkChannel'
                  - $ref: '#/components/schemas/SmsChannel'
                discriminator:
                  propertyName: channel
                  mapping:
                    kakao: '#/components/schemas/KakaoChannel'
                    navertalk: '#/components/schemas/NavertalkChannel'
                    instagram: '#/components/schemas/InstagramChannel'
                    line: '#/components/schemas/LineChannel'
                    wechat: '#/components/schemas/WechatChannel'
                    channeltalk: '#/components/schemas/ChannelTalkChannel'
                    sms: '#/components/schemas/SmsChannel'
                title: Response Disablechatchannel
        '400':
          description: 요청 검증 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                validationError:
                  summary: 요청 검증 오류
                  value:
                    error:
                      code: VALIDATION_ERROR
                      message: Request validation failed.
                      details:
                        field: name
                        reason: must not be blank
        '401':
          description: 인증이 필요합니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  summary: Bearer 토큰 누락 또는 오류
                  value:
                    error:
                      code: UNAUTHORIZED
                      message: Authentication is required.
                      details: {}
        '403':
          description: 권한이 없습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                forbidden:
                  summary: 권한이 없습니다.
                  value:
                    error:
                      code: FORBIDDEN
                      message: Permission denied.
                      details: {}
        '404':
          description: 리소스를 찾을 수 없습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                notFound:
                  summary: 리소스를 찾을 수 없습니다.
                  value:
                    error:
                      code: RESOURCE_NOT_FOUND
                      message: Resource not found.
                      details:
                        resource: agent
        '409':
          description: 충돌이 발생했습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                conflict:
                  summary: 상태 충돌이 발생했습니다.
                  value:
                    error:
                      code: CONFLICT
                      message: The requested operation conflicts with current state.
                      details:
                        current_status: draft
        '429':
          description: >-
            요청 한도를 초과했습니다. API 키 트래픽은 기본값으로 워크스페이스당 초당 5회·분당 120회, Supabase JWT
            트래픽은 기본값으로 사용자당 초당 10회·분당 240회로 제한되며, 워크스페이스 대시보드에는 기본 분당 2,400회의
            백스톱 한도가 적용됩니다. 한도는 운영자가 조정할 수 있고, 초과한 버킷의 실제 한도와 윈도우는 429 응답의
            X-RateLimit-Limit·X-RateLimit-Window 헤더로 알려 줍니다. 개별 경로 자체 리미터가 만든
            429 응답에는 이 헤더가 없을 수 있습니다.
          headers:
            Retry-After:
              description: >-
                초과한 공용 v3 인증 주체(auth-principal) 리미터 윈도우가 초기화될 때까지 남은 시간입니다. 단위는
                초입니다. 개별 경로 자체 리미터가 만든 429 응답에는 이 헤더가 없을 수 있습니다.
              schema:
                type: integer
                minimum: 1
            X-RateLimit-Limit:
              description: >-
                초과한 공용 v3 인증 주체(auth-principal) 리미터 윈도우의 최대 요청 수입니다. 개별 경로 자체
                리미터가 만든 429 응답에는 이 헤더가 없을 수 있습니다.
              schema:
                type: integer
                minimum: 1
            X-RateLimit-Window:
              description: >-
                초과한 공용 v3 인증 주체(auth-principal) 리미터 윈도우의 길이입니다. 단위는 초입니다. 개별 경로
                자체 리미터가 만든 429 응답에는 이 헤더가 없을 수 있습니다.
              schema:
                type: integer
                minimum: 1
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                rateLimited:
                  summary: 요청 한도를 초과했습니다.
                  value:
                    error:
                      code: RATE_LIMIT_EXCEEDED
                      message: Too many requests.
                      details:
                        limit: 10
                        window_seconds: 1
                        scope: user
        '500':
          description: 서버 내부 오류가 발생했습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                internalError:
                  summary: 서버 내부 오류가 발생했습니다.
                  value:
                    error:
                      code: INTERNAL_ERROR
                      message: Internal server error.
                      details: {}
        '503':
          description: 서비스를 일시적으로 사용할 수 없습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                serviceUnavailable:
                  summary: 서비스를 일시적으로 사용할 수 없습니다.
                  value:
                    error:
                      code: SERVICE_UNAVAILABLE
                      message: Service temporarily unavailable.
                      details: {}
      security:
        - BearerAuth: []
components:
  schemas:
    KakaoChannel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: 채널 ID입니다. UUID이며 경로 파라미터 `chat_channel_id`에 사용합니다.
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: 채널을 소유한 워크스페이스 ID입니다.
        status:
          type: string
          enum:
            - provider_pending
            - active
            - disabled
            - failed
            - disconnected
          title: Status
          description: >-
            채널의 현재 상태입니다. `active`는 문의를 받아 응대하는 중, `disabled`는 채널을 비활성화한 상태,
            `provider_pending`은 공급자 쪽 처리를 기다리는 상태(끝나면 저절로 바뀜), `failed`는 이 API에
            다시 요청해야 풀리는 상태, `disconnected`는 연결을 해제한 상태입니다.
        status_detail:
          anyOf:
            - type: string
              enum:
                - verify
                - reconnect
                - retry_operation
                - check_provider
            - type: 'null'
          title: Status Detail
          description: >-
            다음에 할 일입니다. 없으면 null입니다. `verify`는 `POST
            /v3/chat-channels/verification`으로 인증을 신청합니다(채널별 단계는 그 응답의
            `next_action`). `reconnect`는 `POST
            /v3/chat-channels/{chat_channel_id}/reconnect`를 호출합니다.
            `retry_operation`은 `operation_enabled`가 true이면 `POST
            /v3/chat-channels/{chat_channel_id}/enable`을, false이면 `POST
            /v3/chat-channels/{chat_channel_id}/disable`을 다시 호출합니다.
            `check_provider`는 공급자 쪽에서 해결할 일이 있다는 뜻이며 내용은 `details`에 있습니다.
        operation_enabled:
          type: boolean
          title: Operation Enabled
          description: >-
            채널을 활성화해 두었는지입니다. `POST /v3/chat-channels/{chat_channel_id}/enable`로
            활성화하면 true, `POST /v3/chat-channels/{chat_channel_id}/disable`로
            비활성화하면 false입니다. 실제로 운영 중인지는 `status`로 확인합니다. 연결을 해제한 채널은 false입니다.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: 대시보드에 표시할 채널 이름입니다. 오래된 채널은 null일 수 있습니다.
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          description: 지원 종료 예정입니다. `name`과 같은 값이므로 `name`을 쓰세요.
          deprecated: true
        agent:
          $ref: '#/components/schemas/AgentMapping'
          description: '`agent_id`와 `agent_version`으로 구성된 에이전트 매핑 객체입니다.'
        initial_responder_type:
          type: string
          enum:
            - agent
            - desk
            - external
          title: Initial Responder Type
          description: >-
            새 채팅의 최초 응답 담당입니다. `agent`는 AI 에이전트, `external`은 고객사 시스템입니다. `desk`는
            vox.ai 상담 화면용 값입니다.
        created_at:
          type: integer
          title: Created At
          description: 리소스 생성 시각입니다. unix milliseconds 형식입니다.
        updated_at:
          type: integer
          title: Updated At
          description: 리소스 마지막 수정 시각입니다. unix milliseconds 형식입니다.
        allow_agent_response:
          type: boolean
          title: Allow Agent Response
          description: >-
            현재 적용되는 AI 사용 허용 값입니다. false이면 새 채팅을 AI가 맡지 않고, AI가 맡고 있던 채팅도 이후 고객
            입력에 AI가 답하지 않습니다. 고객 입력은 기록에 남고 사람은 답할 수 있습니다.
        channel:
          type: string
          const: kakao
          title: Channel
          description: >-
            채널 종류입니다. `kakao`, `navertalk`, `instagram`, `line`, `wechat`,
            `channeltalk`, `sms` 중 하나이며, 이 값에 따라 `details` 형식이 정해집니다.
        details:
          $ref: '#/components/schemas/KakaoDetails'
          description: 채널별 연결 정보입니다.
      type: object
      required:
        - id
        - organization_id
        - status
        - status_detail
        - operation_enabled
        - name
        - display_name
        - agent
        - initial_responder_type
        - created_at
        - updated_at
        - allow_agent_response
        - channel
        - details
      title: 카카오
    NavertalkChannel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: 채널 ID입니다. UUID이며 경로 파라미터 `chat_channel_id`에 사용합니다.
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: 채널을 소유한 워크스페이스 ID입니다.
        status:
          type: string
          enum:
            - provider_pending
            - active
            - disabled
            - failed
            - disconnected
          title: Status
          description: >-
            채널의 현재 상태입니다. `active`는 문의를 받아 응대하는 중, `disabled`는 채널을 비활성화한 상태,
            `provider_pending`은 공급자 쪽 처리를 기다리는 상태(끝나면 저절로 바뀜), `failed`는 이 API에
            다시 요청해야 풀리는 상태, `disconnected`는 연결을 해제한 상태입니다.
        status_detail:
          anyOf:
            - type: string
              enum:
                - verify
                - reconnect
                - retry_operation
                - check_provider
            - type: 'null'
          title: Status Detail
          description: >-
            다음에 할 일입니다. 없으면 null입니다. `verify`는 `POST
            /v3/chat-channels/verification`으로 인증을 신청합니다(채널별 단계는 그 응답의
            `next_action`). `reconnect`는 `POST
            /v3/chat-channels/{chat_channel_id}/reconnect`를 호출합니다.
            `retry_operation`은 `operation_enabled`가 true이면 `POST
            /v3/chat-channels/{chat_channel_id}/enable`을, false이면 `POST
            /v3/chat-channels/{chat_channel_id}/disable`을 다시 호출합니다.
            `check_provider`는 공급자 쪽에서 해결할 일이 있다는 뜻이며 내용은 `details`에 있습니다.
        operation_enabled:
          type: boolean
          title: Operation Enabled
          description: >-
            채널을 활성화해 두었는지입니다. `POST /v3/chat-channels/{chat_channel_id}/enable`로
            활성화하면 true, `POST /v3/chat-channels/{chat_channel_id}/disable`로
            비활성화하면 false입니다. 실제로 운영 중인지는 `status`로 확인합니다. 연결을 해제한 채널은 false입니다.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: 대시보드에 표시할 채널 이름입니다. 오래된 채널은 null일 수 있습니다.
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          description: 지원 종료 예정입니다. `name`과 같은 값이므로 `name`을 쓰세요.
          deprecated: true
        agent:
          $ref: '#/components/schemas/AgentMapping'
          description: '`agent_id`와 `agent_version`으로 구성된 에이전트 매핑 객체입니다.'
        initial_responder_type:
          type: string
          enum:
            - agent
            - desk
            - external
          title: Initial Responder Type
          description: >-
            새 채팅의 최초 응답 담당입니다. `agent`는 AI 에이전트, `external`은 고객사 시스템입니다. `desk`는
            vox.ai 상담 화면용 값입니다.
        created_at:
          type: integer
          title: Created At
          description: 리소스 생성 시각입니다. unix milliseconds 형식입니다.
        updated_at:
          type: integer
          title: Updated At
          description: 리소스 마지막 수정 시각입니다. unix milliseconds 형식입니다.
        allow_agent_response:
          type: boolean
          title: Allow Agent Response
          description: >-
            현재 적용되는 AI 사용 허용 값입니다. false이면 새 채팅을 AI가 맡지 않고, AI가 맡고 있던 채팅도 이후 고객
            입력에 AI가 답하지 않습니다. 고객 입력은 기록에 남고 사람은 답할 수 있습니다.
        channel:
          type: string
          const: navertalk
          title: Channel
          description: >-
            채널 종류입니다. `kakao`, `navertalk`, `instagram`, `line`, `wechat`,
            `channeltalk`, `sms` 중 하나이며, 이 값에 따라 `details` 형식이 정해집니다.
        details:
          $ref: '#/components/schemas/NaverDetails'
          description: 채널별 연결 정보입니다.
      type: object
      required:
        - id
        - organization_id
        - status
        - status_detail
        - operation_enabled
        - name
        - display_name
        - agent
        - initial_responder_type
        - created_at
        - updated_at
        - allow_agent_response
        - channel
        - details
      title: 네이버톡톡
    InstagramChannel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: 채널 ID입니다. UUID이며 경로 파라미터 `chat_channel_id`에 사용합니다.
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: 채널을 소유한 워크스페이스 ID입니다.
        status:
          type: string
          enum:
            - provider_pending
            - active
            - disabled
            - failed
            - disconnected
          title: Status
          description: >-
            채널의 현재 상태입니다. `active`는 문의를 받아 응대하는 중, `disabled`는 채널을 비활성화한 상태,
            `provider_pending`은 공급자 쪽 처리를 기다리는 상태(끝나면 저절로 바뀜), `failed`는 이 API에
            다시 요청해야 풀리는 상태, `disconnected`는 연결을 해제한 상태입니다.
        status_detail:
          anyOf:
            - type: string
              enum:
                - verify
                - reconnect
                - retry_operation
                - check_provider
            - type: 'null'
          title: Status Detail
          description: >-
            다음에 할 일입니다. 없으면 null입니다. `verify`는 `POST
            /v3/chat-channels/verification`으로 인증을 신청합니다(채널별 단계는 그 응답의
            `next_action`). `reconnect`는 `POST
            /v3/chat-channels/{chat_channel_id}/reconnect`를 호출합니다.
            `retry_operation`은 `operation_enabled`가 true이면 `POST
            /v3/chat-channels/{chat_channel_id}/enable`을, false이면 `POST
            /v3/chat-channels/{chat_channel_id}/disable`을 다시 호출합니다.
            `check_provider`는 공급자 쪽에서 해결할 일이 있다는 뜻이며 내용은 `details`에 있습니다.
        operation_enabled:
          type: boolean
          title: Operation Enabled
          description: >-
            채널을 활성화해 두었는지입니다. `POST /v3/chat-channels/{chat_channel_id}/enable`로
            활성화하면 true, `POST /v3/chat-channels/{chat_channel_id}/disable`로
            비활성화하면 false입니다. 실제로 운영 중인지는 `status`로 확인합니다. 연결을 해제한 채널은 false입니다.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: 대시보드에 표시할 채널 이름입니다. 오래된 채널은 null일 수 있습니다.
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          description: 지원 종료 예정입니다. `name`과 같은 값이므로 `name`을 쓰세요.
          deprecated: true
        agent:
          $ref: '#/components/schemas/AgentMapping'
          description: '`agent_id`와 `agent_version`으로 구성된 에이전트 매핑 객체입니다.'
        initial_responder_type:
          type: string
          enum:
            - agent
            - desk
            - external
          title: Initial Responder Type
          description: >-
            새 채팅의 최초 응답 담당입니다. `agent`는 AI 에이전트, `external`은 고객사 시스템입니다. `desk`는
            vox.ai 상담 화면용 값입니다.
        created_at:
          type: integer
          title: Created At
          description: 리소스 생성 시각입니다. unix milliseconds 형식입니다.
        updated_at:
          type: integer
          title: Updated At
          description: 리소스 마지막 수정 시각입니다. unix milliseconds 형식입니다.
        allow_agent_response:
          type: boolean
          title: Allow Agent Response
          description: >-
            현재 적용되는 AI 사용 허용 값입니다. false이면 새 채팅을 AI가 맡지 않고, AI가 맡고 있던 채팅도 이후 고객
            입력에 AI가 답하지 않습니다. 고객 입력은 기록에 남고 사람은 답할 수 있습니다.
        channel:
          type: string
          const: instagram
          title: Channel
          description: >-
            채널 종류입니다. `kakao`, `navertalk`, `instagram`, `line`, `wechat`,
            `channeltalk`, `sms` 중 하나이며, 이 값에 따라 `details` 형식이 정해집니다.
        details:
          $ref: '#/components/schemas/InstagramDetails'
          description: 채널별 연결 정보입니다.
      type: object
      required:
        - id
        - organization_id
        - status
        - status_detail
        - operation_enabled
        - name
        - display_name
        - agent
        - initial_responder_type
        - created_at
        - updated_at
        - allow_agent_response
        - channel
        - details
      title: 인스타그램
    LineChannel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: 채널 ID입니다. UUID이며 경로 파라미터 `chat_channel_id`에 사용합니다.
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: 채널을 소유한 워크스페이스 ID입니다.
        status:
          type: string
          enum:
            - provider_pending
            - active
            - disabled
            - failed
            - disconnected
          title: Status
          description: >-
            채널의 현재 상태입니다. `active`는 문의를 받아 응대하는 중, `disabled`는 채널을 비활성화한 상태,
            `provider_pending`은 공급자 쪽 처리를 기다리는 상태(끝나면 저절로 바뀜), `failed`는 이 API에
            다시 요청해야 풀리는 상태, `disconnected`는 연결을 해제한 상태입니다.
        status_detail:
          anyOf:
            - type: string
              enum:
                - verify
                - reconnect
                - retry_operation
                - check_provider
            - type: 'null'
          title: Status Detail
          description: >-
            다음에 할 일입니다. 없으면 null입니다. `verify`는 `POST
            /v3/chat-channels/verification`으로 인증을 신청합니다(채널별 단계는 그 응답의
            `next_action`). `reconnect`는 `POST
            /v3/chat-channels/{chat_channel_id}/reconnect`를 호출합니다.
            `retry_operation`은 `operation_enabled`가 true이면 `POST
            /v3/chat-channels/{chat_channel_id}/enable`을, false이면 `POST
            /v3/chat-channels/{chat_channel_id}/disable`을 다시 호출합니다.
            `check_provider`는 공급자 쪽에서 해결할 일이 있다는 뜻이며 내용은 `details`에 있습니다.
        operation_enabled:
          type: boolean
          title: Operation Enabled
          description: >-
            채널을 활성화해 두었는지입니다. `POST /v3/chat-channels/{chat_channel_id}/enable`로
            활성화하면 true, `POST /v3/chat-channels/{chat_channel_id}/disable`로
            비활성화하면 false입니다. 실제로 운영 중인지는 `status`로 확인합니다. 연결을 해제한 채널은 false입니다.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: 대시보드에 표시할 채널 이름입니다. 오래된 채널은 null일 수 있습니다.
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          description: 지원 종료 예정입니다. `name`과 같은 값이므로 `name`을 쓰세요.
          deprecated: true
        agent:
          $ref: '#/components/schemas/AgentMapping'
          description: '`agent_id`와 `agent_version`으로 구성된 에이전트 매핑 객체입니다.'
        initial_responder_type:
          type: string
          enum:
            - agent
            - desk
            - external
          title: Initial Responder Type
          description: >-
            새 채팅의 최초 응답 담당입니다. `agent`는 AI 에이전트, `external`은 고객사 시스템입니다. `desk`는
            vox.ai 상담 화면용 값입니다.
        created_at:
          type: integer
          title: Created At
          description: 리소스 생성 시각입니다. unix milliseconds 형식입니다.
        updated_at:
          type: integer
          title: Updated At
          description: 리소스 마지막 수정 시각입니다. unix milliseconds 형식입니다.
        allow_agent_response:
          type: boolean
          title: Allow Agent Response
          description: >-
            현재 적용되는 AI 사용 허용 값입니다. false이면 새 채팅을 AI가 맡지 않고, AI가 맡고 있던 채팅도 이후 고객
            입력에 AI가 답하지 않습니다. 고객 입력은 기록에 남고 사람은 답할 수 있습니다.
        channel:
          type: string
          const: line
          title: Channel
          description: >-
            채널 종류입니다. `kakao`, `navertalk`, `instagram`, `line`, `wechat`,
            `channeltalk`, `sms` 중 하나이며, 이 값에 따라 `details` 형식이 정해집니다.
        details:
          $ref: '#/components/schemas/LineDetails'
          description: 채널별 연결 정보입니다.
      type: object
      required:
        - id
        - organization_id
        - status
        - status_detail
        - operation_enabled
        - name
        - display_name
        - agent
        - initial_responder_type
        - created_at
        - updated_at
        - allow_agent_response
        - channel
        - details
      title: 라인
    WechatChannel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: 채널 ID입니다. UUID이며 경로 파라미터 `chat_channel_id`에 사용합니다.
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: 채널을 소유한 워크스페이스 ID입니다.
        status:
          type: string
          enum:
            - provider_pending
            - active
            - disabled
            - failed
            - disconnected
          title: Status
          description: >-
            채널의 현재 상태입니다. `active`는 문의를 받아 응대하는 중, `disabled`는 채널을 비활성화한 상태,
            `provider_pending`은 공급자 쪽 처리를 기다리는 상태(끝나면 저절로 바뀜), `failed`는 이 API에
            다시 요청해야 풀리는 상태, `disconnected`는 연결을 해제한 상태입니다.
        status_detail:
          anyOf:
            - type: string
              enum:
                - verify
                - reconnect
                - retry_operation
                - check_provider
            - type: 'null'
          title: Status Detail
          description: >-
            다음에 할 일입니다. 없으면 null입니다. `verify`는 `POST
            /v3/chat-channels/verification`으로 인증을 신청합니다(채널별 단계는 그 응답의
            `next_action`). `reconnect`는 `POST
            /v3/chat-channels/{chat_channel_id}/reconnect`를 호출합니다.
            `retry_operation`은 `operation_enabled`가 true이면 `POST
            /v3/chat-channels/{chat_channel_id}/enable`을, false이면 `POST
            /v3/chat-channels/{chat_channel_id}/disable`을 다시 호출합니다.
            `check_provider`는 공급자 쪽에서 해결할 일이 있다는 뜻이며 내용은 `details`에 있습니다.
        operation_enabled:
          type: boolean
          title: Operation Enabled
          description: >-
            채널을 활성화해 두었는지입니다. `POST /v3/chat-channels/{chat_channel_id}/enable`로
            활성화하면 true, `POST /v3/chat-channels/{chat_channel_id}/disable`로
            비활성화하면 false입니다. 실제로 운영 중인지는 `status`로 확인합니다. 연결을 해제한 채널은 false입니다.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: 대시보드에 표시할 채널 이름입니다. 오래된 채널은 null일 수 있습니다.
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          description: 지원 종료 예정입니다. `name`과 같은 값이므로 `name`을 쓰세요.
          deprecated: true
        agent:
          $ref: '#/components/schemas/AgentMapping'
          description: '`agent_id`와 `agent_version`으로 구성된 에이전트 매핑 객체입니다.'
        initial_responder_type:
          type: string
          enum:
            - agent
            - desk
            - external
          title: Initial Responder Type
          description: >-
            새 채팅의 최초 응답 담당입니다. `agent`는 AI 에이전트, `external`은 고객사 시스템입니다. `desk`는
            vox.ai 상담 화면용 값입니다.
        created_at:
          type: integer
          title: Created At
          description: 리소스 생성 시각입니다. unix milliseconds 형식입니다.
        updated_at:
          type: integer
          title: Updated At
          description: 리소스 마지막 수정 시각입니다. unix milliseconds 형식입니다.
        allow_agent_response:
          type: boolean
          title: Allow Agent Response
          description: >-
            현재 적용되는 AI 사용 허용 값입니다. false이면 새 채팅을 AI가 맡지 않고, AI가 맡고 있던 채팅도 이후 고객
            입력에 AI가 답하지 않습니다. 고객 입력은 기록에 남고 사람은 답할 수 있습니다.
        channel:
          type: string
          const: wechat
          title: Channel
          description: >-
            채널 종류입니다. `kakao`, `navertalk`, `instagram`, `line`, `wechat`,
            `channeltalk`, `sms` 중 하나이며, 이 값에 따라 `details` 형식이 정해집니다.
        details:
          $ref: '#/components/schemas/WechatDetails'
          description: 채널별 연결 정보입니다.
      type: object
      required:
        - id
        - organization_id
        - status
        - status_detail
        - operation_enabled
        - name
        - display_name
        - agent
        - initial_responder_type
        - created_at
        - updated_at
        - allow_agent_response
        - channel
        - details
      title: 위챗
    ChannelTalkChannel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: 채널 ID입니다. UUID이며 경로 파라미터 `chat_channel_id`에 사용합니다.
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: 채널을 소유한 워크스페이스 ID입니다.
        status:
          type: string
          enum:
            - provider_pending
            - active
            - disabled
            - failed
            - disconnected
          title: Status
          description: >-
            채널의 현재 상태입니다. `active`는 문의를 받아 응대하는 중, `disabled`는 채널을 비활성화한 상태,
            `provider_pending`은 공급자 쪽 처리를 기다리는 상태(끝나면 저절로 바뀜), `failed`는 이 API에
            다시 요청해야 풀리는 상태, `disconnected`는 연결을 해제한 상태입니다.
        status_detail:
          anyOf:
            - type: string
              enum:
                - verify
                - reconnect
                - retry_operation
                - check_provider
            - type: 'null'
          title: Status Detail
          description: >-
            다음에 할 일입니다. 없으면 null입니다. `verify`는 `POST
            /v3/chat-channels/verification`으로 인증을 신청합니다(채널별 단계는 그 응답의
            `next_action`). `reconnect`는 `POST
            /v3/chat-channels/{chat_channel_id}/reconnect`를 호출합니다.
            `retry_operation`은 `operation_enabled`가 true이면 `POST
            /v3/chat-channels/{chat_channel_id}/enable`을, false이면 `POST
            /v3/chat-channels/{chat_channel_id}/disable`을 다시 호출합니다.
            `check_provider`는 공급자 쪽에서 해결할 일이 있다는 뜻이며 내용은 `details`에 있습니다.
        operation_enabled:
          type: boolean
          title: Operation Enabled
          description: >-
            채널을 활성화해 두었는지입니다. `POST /v3/chat-channels/{chat_channel_id}/enable`로
            활성화하면 true, `POST /v3/chat-channels/{chat_channel_id}/disable`로
            비활성화하면 false입니다. 실제로 운영 중인지는 `status`로 확인합니다. 연결을 해제한 채널은 false입니다.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: 대시보드에 표시할 채널 이름입니다. 오래된 채널은 null일 수 있습니다.
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          description: 지원 종료 예정입니다. `name`과 같은 값이므로 `name`을 쓰세요.
          deprecated: true
        agent:
          $ref: '#/components/schemas/AgentMapping'
          description: '`agent_id`와 `agent_version`으로 구성된 에이전트 매핑 객체입니다.'
        initial_responder_type:
          type: string
          enum:
            - agent
            - desk
            - external
          title: Initial Responder Type
          description: >-
            새 채팅의 최초 응답 담당입니다. `agent`는 AI 에이전트, `external`은 고객사 시스템입니다. `desk`는
            vox.ai 상담 화면용 값입니다.
        created_at:
          type: integer
          title: Created At
          description: 리소스 생성 시각입니다. unix milliseconds 형식입니다.
        updated_at:
          type: integer
          title: Updated At
          description: 리소스 마지막 수정 시각입니다. unix milliseconds 형식입니다.
        allow_agent_response:
          type: boolean
          title: Allow Agent Response
          description: >-
            현재 적용되는 AI 사용 허용 값입니다. false이면 새 채팅을 AI가 맡지 않고, AI가 맡고 있던 채팅도 이후 고객
            입력에 AI가 답하지 않습니다. 고객 입력은 기록에 남고 사람은 답할 수 있습니다.
        channel:
          type: string
          const: channeltalk
          title: Channel
          description: >-
            채널 종류입니다. `kakao`, `navertalk`, `instagram`, `line`, `wechat`,
            `channeltalk`, `sms` 중 하나이며, 이 값에 따라 `details` 형식이 정해집니다.
        details:
          $ref: '#/components/schemas/ChannelTalkDetails'
          description: 채널별 연결 정보입니다.
      type: object
      required:
        - id
        - organization_id
        - status
        - status_detail
        - operation_enabled
        - name
        - display_name
        - agent
        - initial_responder_type
        - created_at
        - updated_at
        - allow_agent_response
        - channel
        - details
      title: 채널톡
    SmsChannel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: 채널 ID입니다. UUID이며 경로 파라미터 `chat_channel_id`에 사용합니다.
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: 채널을 소유한 워크스페이스 ID입니다.
        status:
          type: string
          enum:
            - provider_pending
            - active
            - disabled
            - failed
            - disconnected
          title: Status
          description: >-
            채널의 현재 상태입니다. `active`는 문의를 받아 응대하는 중, `disabled`는 채널을 비활성화한 상태,
            `provider_pending`은 공급자 쪽 처리를 기다리는 상태(끝나면 저절로 바뀜), `failed`는 이 API에
            다시 요청해야 풀리는 상태, `disconnected`는 연결을 해제한 상태입니다.
        status_detail:
          anyOf:
            - type: string
              enum:
                - verify
                - reconnect
                - retry_operation
                - check_provider
            - type: 'null'
          title: Status Detail
          description: >-
            다음에 할 일입니다. 없으면 null입니다. `verify`는 `POST
            /v3/chat-channels/verification`으로 인증을 신청합니다(채널별 단계는 그 응답의
            `next_action`). `reconnect`는 `POST
            /v3/chat-channels/{chat_channel_id}/reconnect`를 호출합니다.
            `retry_operation`은 `operation_enabled`가 true이면 `POST
            /v3/chat-channels/{chat_channel_id}/enable`을, false이면 `POST
            /v3/chat-channels/{chat_channel_id}/disable`을 다시 호출합니다.
            `check_provider`는 공급자 쪽에서 해결할 일이 있다는 뜻이며 내용은 `details`에 있습니다.
        operation_enabled:
          type: boolean
          title: Operation Enabled
          description: >-
            채널을 활성화해 두었는지입니다. `POST /v3/chat-channels/{chat_channel_id}/enable`로
            활성화하면 true, `POST /v3/chat-channels/{chat_channel_id}/disable`로
            비활성화하면 false입니다. 실제로 운영 중인지는 `status`로 확인합니다. 연결을 해제한 채널은 false입니다.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: 대시보드에 표시할 채널 이름입니다. 오래된 채널은 null일 수 있습니다.
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          description: 지원 종료 예정입니다. `name`과 같은 값이므로 `name`을 쓰세요.
          deprecated: true
        agent:
          $ref: '#/components/schemas/AgentMapping'
          description: '`agent_id`와 `agent_version`으로 구성된 에이전트 매핑 객체입니다.'
        initial_responder_type:
          type: string
          enum:
            - agent
            - desk
            - external
          title: Initial Responder Type
          description: >-
            새 채팅의 최초 응답 담당입니다. `agent`는 AI 에이전트, `external`은 고객사 시스템입니다. `desk`는
            vox.ai 상담 화면용 값입니다.
        created_at:
          type: integer
          title: Created At
          description: 리소스 생성 시각입니다. unix milliseconds 형식입니다.
        updated_at:
          type: integer
          title: Updated At
          description: 리소스 마지막 수정 시각입니다. unix milliseconds 형식입니다.
        allow_agent_response:
          type: boolean
          title: Allow Agent Response
          description: >-
            현재 적용되는 AI 사용 허용 값입니다. false이면 새 채팅을 AI가 맡지 않고, AI가 맡고 있던 채팅도 이후 고객
            입력에 AI가 답하지 않습니다. 고객 입력은 기록에 남고 사람은 답할 수 있습니다.
        channel:
          type: string
          const: sms
          title: Channel
          description: >-
            채널 종류입니다. `kakao`, `navertalk`, `instagram`, `line`, `wechat`,
            `channeltalk`, `sms` 중 하나이며, 이 값에 따라 `details` 형식이 정해집니다.
        details:
          $ref: '#/components/schemas/SmsDetails'
          description: 채널별 연결 정보입니다.
      type: object
      required:
        - id
        - organization_id
        - status
        - status_detail
        - operation_enabled
        - name
        - display_name
        - agent
        - initial_responder_type
        - created_at
        - updated_at
        - allow_agent_response
        - channel
        - details
      title: SMS
    ErrorResponse:
      type: object
      required:
        - error
      title: ErrorResponse
      description: 모든 실패 응답에서 사용하는 v3 error envelope입니다.
      examples:
        - error:
            code: VALIDATION_ERROR
            message: Request validation failed.
            details:
              field: name
              reason: must not be blank
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
          description: 오류 payload입니다.
    AgentMapping:
      additionalProperties: false
      description: >-
        `agent_id`와 `agent_version` 매핑입니다.


        요청·응답 모두에서 에이전트 매핑이 필요한 경우 이 타입을 사용합니다. version 지정이 필요 없는 엔드포인트는 flat
        `agent_id: UUID`를 직접 받고 `AgentMapping`을 사용하지 않습니다.
      properties:
        agent_id:
          description: 에이전트 UUID입니다.
          format: uuid
          title: Agent Id
          type: string
          x-vox-effect: wiring
        agent_version:
          default: current
          description: >-
            에이전트 버전입니다. 허용값은 "current", "production", "v{n}"(n≥1)입니다. 보내지 않으면
            "current"로 처리합니다. null 전송은 거부합니다.
          title: Agent Version
          type: string
          x-vox-effect: wiring
          pattern: ^(current|production|v[1-9][0-9]*)$
          examples:
            - current
            - production
            - v1
      required:
        - agent_id
      title: AgentMapping
      type: object
    KakaoDetails:
      properties:
        search_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Search Id
          description: 카카오톡 채널 검색용 아이디입니다(`@`로 시작).
        channel_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Key
          description: 카카오톡 채널 키입니다(`pf.kakao.com/` 뒤의 `_`로 시작하는 값).
        sender_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Sender Key
          description: 발신프로필 키입니다. 인증 토큰은 반환하지 않습니다.
        category_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Category Code
          description: 발신프로필 카테고리 코드입니다(11자리).
        kakao_status:
          type: string
          enum:
            - normal
            - dormant
            - blocked
            - counsel_off
            - unknown
          title: Kakao Status
          description: >-
            카카오 쪽 채널 상태입니다. `normal`은 정상, `dormant`는 휴면, `blocked`는 차단,
            `counsel_off`는 상담톡 꺼짐, `unknown`은 확인 전입니다. 하루 한 번 확인하고, 채널 조회 때도 다시
            읽습니다(실패하면 저장된 값).
        last_received_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Received At
          description: 이 채널로 고객 메시지를 마지막으로 받은 시각입니다(unix ms). 받은 적이 없으면 null입니다.
        last_error:
          anyOf:
            - $ref: '#/components/schemas/LastError'
            - type: 'null'
          description: >-
            최근 연결·운영 오류입니다. 없으면 null입니다. 모든 채널이 같은 구조로 반환합니다. `message`는 카카오만
            채우고 다른 채널은 null입니다.
        link_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Link Url
          description: 기본 카카오 상담 연결 URL입니다.
      type: object
      required:
        - search_id
        - channel_key
        - sender_key
        - category_code
        - kakao_status
        - last_received_at
        - last_error
        - link_url
      title: KakaoDetails
    NaverDetails:
      properties:
        partner_id:
          type: string
          title: Partner Id
          description: 네이버톡톡 파트너 ID입니다.
        webhook_url:
          type: string
          title: Webhook Url
          description: 공급자 화면에 넣는 전체 웹훅 주소입니다. `https://client-api.tryvox.co`로 시작합니다.
        verified_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Verified At
          description: 확인 코드 검증이 끝난 시각입니다(unix ms). null이면 아직 검증 전입니다.
        last_received_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Received At
          description: 이 채널로 고객 메시지를 마지막으로 받은 시각입니다(unix ms). 받은 적이 없으면 null입니다.
        last_error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error Code
          description: >-
            지원 종료 예정입니다. `last_error.code`와 같은 값이므로 `last_error`를 쓰세요. 최근 연결·운영
            오류 코드이며, 없으면 null입니다.
          deprecated: true
        last_error:
          anyOf:
            - $ref: '#/components/schemas/LastError'
            - type: 'null'
          description: >-
            최근 연결·운영 오류입니다. 없으면 null입니다. 모든 채널이 같은 구조로 반환합니다. `message`는 카카오만
            채우고 다른 채널은 null입니다.
      type: object
      required:
        - partner_id
        - webhook_url
        - verified_at
        - last_received_at
        - last_error_code
        - last_error
      title: NaverDetails
    InstagramDetails:
      properties:
        last_received_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Received At
          description: 이 채널로 고객 메시지를 마지막으로 받은 시각입니다(unix ms). 받은 적이 없으면 null입니다.
        last_error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error Code
          description: >-
            지원 종료 예정입니다. `last_error.code`와 같은 값이므로 `last_error`를 쓰세요. 최근 연결·운영
            오류 코드이며, 없으면 null입니다.
          deprecated: true
        last_error:
          anyOf:
            - $ref: '#/components/schemas/LastError'
            - type: 'null'
          description: >-
            최근 연결·운영 오류입니다. 없으면 null입니다. 모든 채널이 같은 구조로 반환합니다. `message`는 카카오만
            채우고 다른 채널은 null입니다.
        instagram_account_id:
          type: string
          title: Instagram Account Id
          description: 연결한 인스타그램 프로페셔널 계정 ID입니다.
        instagram_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Instagram Username
          description: 인스타그램 사용자 이름입니다. 채널 이름(`name`)과는 따로 둡니다.
      type: object
      required:
        - last_received_at
        - last_error_code
        - last_error
        - instagram_account_id
        - instagram_username
      title: InstagramDetails
    LineDetails:
      properties:
        last_received_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Received At
          description: 이 채널로 고객 메시지를 마지막으로 받은 시각입니다(unix ms). 받은 적이 없으면 null입니다.
        last_error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error Code
          description: >-
            지원 종료 예정입니다. `last_error.code`와 같은 값이므로 `last_error`를 쓰세요. 최근 연결·운영
            오류 코드이며, 없으면 null입니다.
          deprecated: true
        last_error:
          anyOf:
            - $ref: '#/components/schemas/LastError'
            - type: 'null'
          description: >-
            최근 연결·운영 오류입니다. 없으면 null입니다. 모든 채널이 같은 구조로 반환합니다. `message`는 카카오만
            채우고 다른 채널은 null입니다.
        channel_id:
          type: string
          title: Channel Id
          description: 라인 Messaging API의 Channel ID입니다.
        bot_basic_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Bot Basic Id
          description: 라인 공식 계정 Basic ID입니다(`@`로 시작).
        bot_display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Bot Display Name
          description: 라인 공식 계정의 봇 이름입니다. 채널 이름(`name`)과는 따로 둡니다.
        webhook_url:
          type: string
          title: Webhook Url
          description: 공급자 화면에 넣는 전체 웹훅 주소입니다. `https://client-api.tryvox.co`로 시작합니다.
        verified_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Verified At
          description: 마지막으로 자격 확인에 성공한 시각입니다(unix ms). 웹훅이 도달했는지를 뜻하지는 않습니다.
      type: object
      required:
        - last_received_at
        - last_error_code
        - last_error
        - channel_id
        - bot_basic_id
        - bot_display_name
        - webhook_url
        - verified_at
      title: LineDetails
    WechatDetails:
      properties:
        last_received_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Received At
          description: 이 채널로 고객 메시지를 마지막으로 받은 시각입니다(unix ms). 받은 적이 없으면 null입니다.
        last_error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error Code
          description: >-
            지원 종료 예정입니다. `last_error.code`와 같은 값이므로 `last_error`를 쓰세요. 최근 연결·운영
            오류 코드이며, 없으면 null입니다.
          deprecated: true
        last_error:
          anyOf:
            - $ref: '#/components/schemas/LastError'
            - type: 'null'
          description: >-
            최근 연결·운영 오류입니다. 없으면 null입니다. 모든 채널이 같은 구조로 반환합니다. `message`는 카카오만
            채우고 다른 채널은 null입니다.
        app_id:
          type: string
          title: App Id
          description: 서비스 계정 AppID입니다.
        original_id:
          type: string
          title: Original Id
          description: 원시 ID입니다(`gh_`로 시작).
        message_mode:
          type: string
          enum:
            - plaintext
            - safe
          title: Message Mode
          description: 위챗 서버 설정의 메시지 암호화 모드입니다. `plaintext` 또는 `safe`입니다.
        webhook_url:
          type: string
          title: Webhook Url
          description: 공급자 화면에 넣는 전체 웹훅 주소입니다. `https://client-api.tryvox.co`로 시작합니다.
        verified_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Verified At
          description: >-
            AppID와 AppSecret으로 위챗 액세스 토큰 발급에 마지막으로 성공한 시각입니다(unix ms). 웹훅이
            도달했는지를 뜻하지는 않습니다.
      type: object
      required:
        - last_received_at
        - last_error_code
        - last_error
        - app_id
        - original_id
        - message_mode
        - webhook_url
        - verified_at
      title: WechatDetails
    ChannelTalkDetails:
      properties:
        channel_id:
          type: string
          title: Channel Id
          description: 채널톡(Channel.io) 채널 ID입니다. 인증 키로 조회한 값입니다.
        channel_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Name
          description: 채널톡 채널 이름입니다.
        bot_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Bot Name
          description: vox.ai가 답할 때 쓰는 채널톡 봇 이름입니다. 채널을 활성화할 때 정해집니다.
        verified_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Verified At
          description: 마지막으로 키 확인에 성공한 시각입니다(unix ms). null이면 다시 확인해야 합니다.
        webhook_ok:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Webhook Ok
          description: 채널을 활성화할 때 등록한 웹훅의 상태입니다. 메시지가 들어오면 true가 됩니다. 비활성화한 채널은 null입니다.
        last_received_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Received At
          description: 이 채널로 고객 메시지를 마지막으로 받은 시각입니다(unix ms). 받은 적이 없으면 null입니다.
        last_error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error Code
          description: >-
            지원 종료 예정입니다. `last_error.code`와 같은 값이므로 `last_error`를 쓰세요. 최근 연결·운영
            오류 코드이며, 없으면 null입니다.
          deprecated: true
        last_error:
          anyOf:
            - $ref: '#/components/schemas/LastError'
            - type: 'null'
          description: >-
            최근 연결·운영 오류입니다. 없으면 null입니다. 모든 채널이 같은 구조로 반환합니다. `message`는 카카오만
            채우고 다른 채널은 null입니다.
      type: object
      required:
        - channel_id
        - channel_name
        - bot_name
        - verified_at
        - webhook_ok
        - last_received_at
        - last_error_code
        - last_error
      title: ChannelTalkDetails
    SmsDetails:
      properties:
        number:
          type: string
          title: Number
          description: 워크스페이스가 지금 보유한 문자 상담 번호입니다. 번호 등록과 에이전트 지정은 전화번호 API에서 합니다.
      type: object
      required:
        - number
      title: SmsDetails
    ErrorDetail:
      type: object
      required:
        - code
        - message
        - details
      title: ErrorDetail
      description: 기계가 읽을 수 있는 v3 오류 상세 정보입니다.
      examples:
        - code: VALIDATION_ERROR
          message: Request validation failed.
          details:
            field: name
            reason: must not be blank
      properties:
        code:
          type: string
          title: Code
          description: 기계가 읽을 수 있는 오류 code입니다. message parsing 대신 이 값을 사용합니다.
          examples:
            - VALIDATION_ERROR
        message:
          type: string
          title: Message
          description: 사용자에게 표시할 수 있는 오류 메시지입니다. 프로그램 처리는 `code`를 사용합니다.
          examples:
            - Request validation failed.
        details:
          type: object
          title: Details
          additionalProperties: true
          description: 구조화된 context입니다. 주로 `field`, `reason`, `allowed_values`를 포함합니다.
    LastError:
      properties:
        code:
          type: string
          title: Code
          description: 최근 연결·운영 오류 코드입니다.
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: 최근 오류 설명입니다.
      type: object
      required:
        - code
        - message
      title: LastError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API key
      description: '워크스페이스 API 키를 `Authorization: Bearer <token>` 형식으로 보냅니다.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.